Subject: Re: 27.0.50; emacsclient does not find server socket

From: Paul Eggert <[email-masked]>
Date: Sat, 29 Dec 2018 22:47:52 -0800

Ulrich Mueller wrote:
> The only problem I see is that it would leave a stale socket file
> behind, when Emacs is not properly terminated. That file would be
> deleted/replaced the next time an Emacs server is started.
> 
> I guess in the typical use case we are talking about a single inode.
> If the home directory is NFS mounted it may be one inode per machine.
> I think that's a small price to pay, for a solution that would be both
> very simple, would be available on all systems, and won't suffer from
> security issues.

If we're talking NFS, we will indeed have security issues, not to mention 
problems with deleting or replacing files. I can't count the number of times 
I've seen messages like "NFS server not responding still trying".

The TCP case is already documented as being undesirable, and this is partly due 
to security concerns. We shouldn't inflict its problems on the more-usual local 
case.